cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ashutosk Kelkar (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CLOUDSTACK-7014) [Automation] type object 'TestAffinityGroupsAdminUser' has no attribute '_TestAffinityGroupsAdminUser__cleanup
Date Thu, 17 Jul 2014 10:42:04 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-7014?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ashutosk Kelkar resolved CLOUDSTACK-7014.
-----------------------------------------

    Resolution: Fixed

Resolved as part of patch: https://reviews.apache.org/r/23608/

> [Automation] type object 'TestAffinityGroupsAdminUser' has no attribute '_TestAffinityGroupsAdminUser__cleanup

> ---------------------------------------------------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-7014
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-7014
>             Project: CloudStack
>          Issue Type: Test
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Automation, Test
>    Affects Versions: 4.4.0
>            Reporter: Chandan Purushothama
>            Assignee: Ashutosk Kelkar
>            Priority: Critical
>             Fix For: 4.4.0
>
>
> ==============
> Bug in test script:
> ==============
>     @classmethod
>     def tearDownClass(cls):
>         try:
>             cls.api_client = super(TestAffinityGroupsAdminUser, cls).getClsTestClient().getApiClient()
>             #Clean up, terminate the created templates
>             cleanup_resources(cls.api_client, cls.__cleanup) ----> BUG: It should
be cls._cleanup
>         except Exception as e:
>             raise Exception("Warning: Exception during cleanup : %s" % e)
> ================
> Test Script Failure:
> ================
> Warning: Exception during cleanup : type object 'TestAffinityGroupsAdminUser' has no
attribute '_TestAffinityGroupsAdminUser__cleanup'
> -------------------- >> begin captured logging << --------------------
> test_07_delete_aff_grp_of_other_user (integration.component.test_affinity_groups.TestAffinityGroupsAdminUser):
CRITICAL: EXCEPTION: test_07_delete_aff_grp_of_other_user: ['Traceback (most recent call last):\n',
'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run\n    self.tearDown()\n',
'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown\n  
 self.teardownContext(ancestor)\n', '  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 366, in teardownContext\n    try_run(context, names)\n', '  File "/usr/local/lib/python2.7/dist-packages/nose/util.py",
line 470, in try_run\n    return func()\n', '  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 1501, in tearDownClass\n    raise Exception("Warning: Exception during cleanup : %s"
% e)\n', "Exception: Warning: Exception during cleanup : type object 'TestAffinityGroupsAdminUser'
has no attribute '_TestAffinityGroupsAdminUser__cleanup'\n"]
> --------------------- >> end captured logging << ---------------------
> Stacktrace
>   File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run
>     self.tearDown()
>   File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown
>     self.teardownContext(ancestor)
>   File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 366, in teardownContext
>     try_run(context, names)
>   File "/usr/local/lib/python2.7/dist-packages/nose/util.py", line 470, in try_run
>     return func()
>   File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 1501, in tearDownClass
>     raise Exception("Warning: Exception during cleanup : %s" % e)
> 'Warning: Exception during cleanup : type object \'TestAffinityGroupsAdminUser\' has
no attribute \'_TestAffinityGroupsAdminUser__cleanup\'\n-------------------- >> begin
captured logging << --------------------\ntest_07_delete_aff_grp_of_other_user (integration.component.test_affinity_groups.TestAffinityGroupsAdminUser):
CRITICAL: EXCEPTION: test_07_delete_aff_grp_of_other_user: [\'Traceback (most recent call
last):\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in
run\\n    self.tearDown()\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 350, in tearDown\\n    self.teardownContext(ancestor)\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 366, in teardownContext\\n    try_run(context, names)\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/util.py",
line 470, in try_run\\n    return func()\\n\', \'  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 1501, in tearDownClass\\n    raise Exception("Warning: Exception during cleanup : %s"
% e)\\n\', "Exception: Warning: Exception during cleanup : type object \'TestAffinityGroupsAdminUser\'
has no attribute \'_TestAffinityGroupsAdminUser__cleanup\'\\n"]\n--------------------- >>
end captured logging << ---------------------'



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message